summaryrefslogtreecommitdiffstats
path: root/jjb/xci/bifrost-verify.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/xci/bifrost-verify.sh')
-rwxr-xr-xjjb/xci/bifrost-verify.sh20
1 files changed, 12 insertions, 8 deletions
diff --git a/jjb/xci/bifrost-verify.sh b/jjb/xci/bifrost-verify.sh
index b522b8969..03d9afccd 100755
--- a/jjb/xci/bifrost-verify.sh
+++ b/jjb/xci/bifrost-verify.sh
@@ -57,16 +57,17 @@ EOF
</html>
EOF
+ # Upload landing page
+ echo "Uploading the landing page"
+ gsutil -q cp ${WORKSPACE}/index.html ${BIFROST_GS_URL}/index.html
+ rm -f ${WORKSPACE}/index.html
+
# Finally, download and upload the entire build log so we can retain
# as much build information as possible
echo "Uploading the final console output"
curl -s -L ${BIFROST_CONSOLE_LOG} > ${WORKSPACE}/build_log.txt
gsutil -q cp -Z ${WORKSPACE}/build_log.txt ${BIFROST_GS_URL}/build_log.txt
- rm ${WORKSPACE}/build_log.txt
-
- # Upload landing page
- gsutil -q cp ${WORKSPACE}/index.html ${BIFROST_GS_URL}/index.html
- rm ${WORKSPACE}/index.html
+ rm -f ${WORKSPACE}/build_log.txt
}
function fix_ownership() {
@@ -83,6 +84,9 @@ function fix_ownership() {
function cleanup_and_upload() {
original_exit=$?
+ echo "Job exit code: $original_exit"
+ # Turn off errexit
+ set +o errexit
fix_ownership
upload_logs
exit $original_exit
@@ -95,21 +99,21 @@ if [[ ! "$DISTRO" =~ (xenial|centos7|suse) ]]; then
fi
# remove previously cloned repos
-/bin/rm -rf $WORKSPACE/bifrost $WORKSPACE/releng
+/bin/rm -rf $WORKSPACE/bifrost $WORKSPACE/releng-xci
# Fix up permissions
fix_ownership
# clone all the repos first and checkout the patch afterwards
git clone https://git.openstack.org/openstack/bifrost $WORKSPACE/bifrost
-git clone https://gerrit.opnfv.org/gerrit/releng $WORKSPACE/releng
+git clone https://gerrit.opnfv.org/gerrit/releng-xci $WORKSPACE/releng-xci
# checkout the patch
cd $CLONE_LOCATION
git fetch $PROJECT_REPO $GERRIT_REFSPEC && sudo git checkout FETCH_HEAD
# combine opnfv and upstream scripts/playbooks
-/bin/cp -rf $WORKSPACE/releng/prototypes/bifrost/* $WORKSPACE/bifrost/
+/bin/cp -rf $WORKSPACE/releng-xci/bifrost/* $WORKSPACE/bifrost/
# cleanup remnants of previous deployment
cd $WORKSPACE/bifrost